Debian Bug report logs - #613508
RM: guidance-power-manager, dead upstream, uses deprecated hal

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Tue, 15 Feb 2011 11:00:02 UTC

Severity: important

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#613508; Package guidance-power-manager. (Tue, 15 Feb 2011 11:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Tue, 15 Feb 2011 11:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please stop using HAL
Date: Tue, 15 Feb 2011 11:57:59 +0100
Package: guidance-power-manager
Version: 4.4.0-3
Severity: important
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: halectomy


Hi,

has has been deprecated and is dead upstream so we want to get rid of it
in Debian.

Please port your package to use Solid, which ttbomk will be able to use
upower in 4.6.
Given that there already exists a integrated power management solution
for KDE, named powerdevil, an alternative worth considering would be to
simply remove the package from the archive.

Cheers,
Michael


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-trunk-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#613508; Package guidance-power-manager. (Tue, 12 Apr 2011 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Tue, 12 Apr 2011 10:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 613508@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 613508@bugs.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Cc: control@bugs.debian.org
Subject: RM: guidance-power-manager -- dead upstream, uses deprecated hal, low popcon
Date: Tue, 12 Apr 2011 12:29:38 +0200
[Message part 1 (text/plain, inline)]
reassign 613508 ftp.debian.org
retitle 613508 RM: guidance-power-manager -- dead upstream, uses deprecated hal
thanks

Dear ftp-masters,

I filed 613508 three months ago, about getting guidance-power-manager ported to
newer interfaces and stop using hal, so we can get rid of hal eventually.

So far, no-one has replied. The last upstream version of guidance-power-manager
is 4 years old, so I consider it dead upstream. The popcon count is rather low
and with powerdevil there exists an integrated power management solution in KDE4.

So I hereby request the removal of guidance-power-manager for unstable/testing.

Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?



[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'guidance-power-manager' to 'ftp.debian.org'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 12 Apr 2011 10:33:21 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions guidance-power-manager/4.4.0-3. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 12 Apr 2011 10:33:22 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: guidance-power-manager -- dead upstream, uses deprecated hal' from 'Please stop using HAL' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 12 Apr 2011 10:33:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613508; Package ftp.debian.org. (Tue, 12 Apr 2011 10:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 12 Apr 2011 10:36:19 GMT) Full text and rfc822 format available.

Message #21 received at 613508@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 613508@bugs.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Cc: control@bugs.debian.org
Subject: RM: guidance-power-manager, dead upstream, uses deprecated hal, low popcon
Date: Tue, 12 Apr 2011 12:11:01 +0200
[Message part 1 (text/plain, inline)]
reassign 613508 ftp.debian.org
retitle 613508 RM: guidance-power-manager, dead upstream, uses deprecated hal
thanks

Dear ftp-masters,

I filed 613508 three months ago, about getting guidance-power-manager ported to
newer interfaces and stop using hal, so we can get rid of hal eventually.

So far, no-one has replied. The last upstream version of guidance-power-manager
is 4 years old, so I consider it dead upstream. The popcon count is rather low
and with powerdevil there exists an integrated power management solution in KDE4.

So I hereby request the removal of guidance-power-manager for unstable/testing.

Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'RM: guidance-power-manager, dead upstream, uses deprecated hal' from 'RM: guidance-power-manager -- dead upstream, uses deprecated hal' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 12 Apr 2011 10:36:24 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Tue, 12 Apr 2011 11:03:25 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Tue, 12 Apr 2011 11:03:34 GMT) Full text and rfc822 format available.

Message #28 received at 613508-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 613508-close@bugs.debian.org
Cc: guidance-power-manager@packages.debian.org, guidance-power-manager@packages.qa.debian.org, uses@packages.debian.org, uses@packages.qa.debian.org, deprecated@packages.debian.org, deprecated@packages.qa.debian.org, dead@packages.debian.org, dead@packages.qa.debian.org, upstream@packages.debian.org, upstream@packages.qa.debian.org, kde-guidance-powermanager@packages.debian.org, kde-guidance-powermanager@packages.qa.debian.org, guidance-power-manager@packages.debian.org, guidance-power-manager@packages.qa.debian.org
Subject: Bug#613508: Removed package(s) from unstable
Date: Tue, 12 Apr 2011 11:01:46 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

guidance-power-manager |    4.4.0-3 | source, alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
kde-guidance-powermanager |    4.4.0-3 | all

------------------- Reason -------------------
hal
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 613508@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/613508

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 May 2011 07:31:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 18:59:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.